Subject: bug#63201: closed (Re: bug#63201: `scroll-margin' sometimes doesn't work)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 May 2023 05:48:02 +0000

Your bug report

#63201: `scroll-margin' sometimes doesn't work

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63201: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63201
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63201: `scroll-margin' sometimes doesn't work
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 05 May 2023 08:48:31 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Mon, 01 May 2023 15:28:55 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Shynur Xie <[email-masked]>
> > Date: Mon, 1 May 2023 10:45:11 +0000
> > msip_labels: 
> > 
> > `scroll-margin' sometimes doesn't work
> > 
> > 1. emacs -Q
> > 2. In buffer *scratch*, C-x C-e:
> >     (progn
> >       (custom-set-variables
> >        '(custom-enabled-themes '(modus-vivendi))
> >        '(global-tab-line-mode t)
> >        '(scroll-margin 1)
> >        '(scroll-conservatively 101))
> >       (info-emacs-manual)
> >       (end-of-buffer)
> >       (goto-line 500))
> > 3. With the cursor now at the 2nd line from the top of the window,
> >    press <up>-arrow-key several times and pay attention to resulting
> >    cursor position -- `scroll-margin' is 1 but Emacs still sometimes
> >    allows the cursor to stay at the 1st line of the window.
> 
> Thanks, should be fixed now on the emacs-29 branch.

No further comments, so I assume the bug is indeed fixed, and I'm
closing it.

Subject: `scroll-margin' sometimes doesn't work
From: Shynur Xie <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 1 May 2023 10:45:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

`scroll-margin' sometimes doesn't work

1. emacs -Q
2. In buffer *scratch*, C-x C-e:
    (progn
      (custom-set-variables
       '(custom-enabled-themes '(modus-vivendi))
       '(global-tab-line-mode t)
       '(scroll-margin 1)
       '(scroll-conservatively 101))
      (info-emacs-manual)
      (end-of-buffer)
      (goto-line 500))
3. With the cursor now at the 2nd line from the top of the window,
   press <up>-arrow-key several times and pay attention to resulting
   cursor position -- `scroll-margin' is 1 but Emacs still sometimes
   allows the cursor to stay at the 1st line of the window.

I uploaded a GIF at <https://emacs.stackexchange.com/questions/76649>
to show this behavior.

--
shynur